Subject: Re: bug#62065: 30.0.50; No prompt to confirm unsafe local variables when eglot-ensure used in major mode hook

From: João Távora <[email-masked]>
Date: Mon, 20 Mar 2023 01:21:12 +0000

On Mon, Mar 20, 2023 at 1:07 AM Matt Wittmann <[email-masked]> wrote:
>
> Confirmed that the original issue seems to be resolved
> in master. I do see the behavior you mentioned where I
> am asked to confirm a second time immediately after the
> first unless I permanently mark the values as safe, but
> otherwise it's working well for me. Thank you João!

It's good to hear that.  But for the reasons I explained
before, I think this bug should stay open.  I see two possible
ways to proceed here.

1. If the user answers "no" to apply the unsafe variables
Emacs could still apply the save ones.  It doesn't currently.

2. There could be a way for extension like Eglot to pull in
only specific variables from the dir-local db.

João